Canvas5GraphInternal::ShapeData Struct Reference documentation

Canvas5GraphInternal::ShapeData Struct Reference

Internal: the shape data. More...

## Public Member Functions
| ShapeData ()
| constructor
Canvas5Structure::Stream & | getStream () const
| returns the data stream

## Public Attributes
bool | m_inMainZone
| a flag to know if the shape is in the main zone or in Vkfl
unsigned | m_type
| the shape type
std::shared_ptr< Canvas5Structure::Stream > | m_stream
| the data stream
bool | m_streamReverted
| a flag to know the stream endian
MWAWEntry | m_entry
| the shape data entry
int | m_local [2]
| the local variable
unsigned | m_ids [3]
| the text link, matrix, name id
unsigned | m_shapeIds [4]
| the shape ids
std::vector< MWAWVec2f > | m_vertices
| the shape vertices: line, ...
std::vector< unsigned > | m_children
| the childs: group
std::vector< unsigned > | m_macoId
| the macro Id: MACO
MWAWVec2i | m_grid
| the grid subdivision
int | m_specials [4]
| some special values
MWAWEntry | m_cweb [3]
| the buttons image entries
int | m_ngonType
| the n-polygon type: NGON
int | m_gdeType
| the #Gde type
std::vector< SectionData > | m_sections
| the sections: #Gde
double | m_doubleValues [4]
| the arc angles or rect oval size: v9

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeData const &s)
| operator<<

## Detailed Description

Internal: the shape data.

## Constructor & Destructor Documentation

## ◆ ShapeData()

Canvas5GraphInternal::ShapeData::ShapeData | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getStream()

Canvas5Structure::Stream & Canvas5GraphInternal::ShapeData::getStream | ( |  | ) | const
| inline

returns the data stream

Referenced by Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendSpecial(), Canvas5Graph::sendTechnical(), and Canvas5Graph::sendText().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ShapeData const & | s )
| friend

operator<<

## Member Data Documentation

## ◆ m_children

std::vector<unsigned> Canvas5GraphInternal::ShapeData::m_children

the childs: group

Referenced by Canvas5Graph::readShapeData(), and ShapeData().

## ◆ m_cweb

MWAWEntry Canvas5GraphInternal::ShapeData::m_cweb[3]

the buttons image entries

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_doubleValues

double Canvas5GraphInternal::ShapeData::m_doubleValues[4]

the arc angles or rect oval size: v9

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_entry

MWAWEntry Canvas5GraphInternal::ShapeData::m_entry

the shape data entry

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendTechnical(), Canvas5Graph::sendText(), and ShapeData().

## ◆ m_gdeType

int Canvas5GraphInternal::ShapeData::m_gdeType

the #Gde type

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_grid

MWAWVec2i Canvas5GraphInternal::ShapeData::m_grid

the grid subdivision

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_ids

unsigned Canvas5GraphInternal::ShapeData::m_ids[3]

the text link, matrix, name id

Referenced by operator<<, Canvas5Graph::readShapeData(), and ShapeData().

## ◆ m_inMainZone

bool Canvas5GraphInternal::ShapeData::m_inMainZone

a flag to know if the shape is in the main zone or in Vkfl

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), Canvas5Graph::sendText(), and ShapeData().

## ◆ m_local

int Canvas5GraphInternal::ShapeData::m_local[2]

the local variable

Referenced by operator<<, Canvas5Graph::readShapeData(), and ShapeData().

## ◆ m_macoId

std::vector<unsigned> Canvas5GraphInternal::ShapeData::m_macoId

the macro Id: MACO

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_ngonType

int Canvas5GraphInternal::ShapeData::m_ngonType

the n-polygon type: NGON

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_sections

std::vector<SectionData> Canvas5GraphInternal::ShapeData::m_sections

the sections: #Gde

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_shapeIds

unsigned Canvas5GraphInternal::ShapeData::m_shapeIds[4]

the shape ids

Referenced by operator<<, Canvas5Graph::readShapeData(), and ShapeData().

## ◆ m_specials

int Canvas5GraphInternal::ShapeData::m_specials[4]

some special values

Referenced by Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_stream

std::shared_ptr<Canvas5Structure::Stream> Canvas5GraphInternal::ShapeData::m_stream

the data stream

Referenced by getStream(), Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendSpecial(), Canvas5Graph::sendTechnical(), Canvas5Graph::sendText(), and ShapeData().

## ◆ m_streamReverted

bool Canvas5GraphInternal::ShapeData::m_streamReverted

a flag to know the stream endian

Referenced by getStream(), Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), and ShapeData().

## ◆ m_type

unsigned Canvas5GraphInternal::ShapeData::m_type

the shape type

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

## ◆ m_vertices

std::vector<MWAWVec2f> Canvas5GraphInternal::ShapeData::m_vertices

the shape vertices: line, ...

Referenced by Canvas5Graph::readShapeData(), Canvas5Graph::readSpecialData(), Canvas5Graph::sendSpecial(), and ShapeData().

The documentation for this struct was generated from the following file:

- Canvas5Graph.cxx